{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.ostrich_egg.on_hatch": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "on_hatch": "q.is_transforming"
            }
          ]
        },
        "on_hatch": {
          "on_entry": [
            "/event entity @e[c=1,type=silverlabs_nat:ostrich,r=12] silverlabs_nat:remove_egg_protector"
          ]
        }
      }
    }
  }
}
